#include<iostream>
using namespace std;

int main(){
	
	int a,b;
	scanf("%d %d",&a,&b);
	
	int x,y;
	scanf("%d %d",&x,&y);
	
	if(a<0 || b<0 || a>100 || b>100 || x<0 || x>a || y<0 || y>b){
		return 0;
	}
	
	if(y==b && x<a)	printf("prvi");
	
	if(x==a && y<b) printf("drugi");
	
	if(y==b && x==a) printf("nijedan");
	
	if(y<b && x<a) printf("?");
}